## EvWindow

EvWindow —

## Synopsis

    enum        EvWindowRunMode;
                EvPrintRange;
    enum        EvPrintPageSet;
                EvWindowPrivate;
                EvWindow;
    GtkWidget*  ev_window_new                   (void);
    const char* ev_window_get_uri               (EvWindow *ev_window);
    void        ev_window_open_uri              (EvWindow *ev_window,
                                                 const char *uri,
                                                 EvLinkDest *dest,
                                                 EvWindowRunMode mode,
                                                 gboolean unlink_temp_file);
    gboolean    ev_window_is_empty              (const EvWindow *ev_window);
    void        ev_window_print_range           (EvWindow *ev_window,
                                                 int first_page,
                                                 int last_page);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----EvWindow

## Implemented Interfaces

EvWindow implements AtkImplementorIface.

## Description

## Details

### enum EvWindowRunMode

    typedef enum {
    	EV_WINDOW_MODE_NORMAL,
    	EV_WINDOW_MODE_FULLSCREEN,
    	EV_WINDOW_MODE_PRESENTATION,
    	EV_WINDOW_MODE_PREVIEW
    } EvWindowRunMode;

### EvPrintRange

    typedef struct {
    	gint start;
    	gint end;
    } EvPrintRange;

### enum EvPrintPageSet

    typedef enum {
    	EV_PRINT_PAGE_SET_ALL,
    	EV_PRINT_PAGE_SET_EVEN,
    	EV_PRINT_PAGE_SET_ODD
    } EvPrintPageSet;

### EvWindowPrivate

    typedef struct _EvWindowPrivate EvWindowPrivate;

### EvWindow

    typedef struct _EvWindow EvWindow;

### ev_window_new ()

    GtkWidget*  ev_window_new                   (void);

Returns : |

### ev_window_get_uri ()

    const char* ev_window_get_uri               (EvWindow *ev_window);

`ev_window` : |
Returns : |

### ev_window_open_uri ()

    void        ev_window_open_uri              (EvWindow *ev_window,
                                                 const char *uri,
                                                 EvLinkDest *dest,
                                                 EvWindowRunMode mode,
                                                 gboolean unlink_temp_file);

`ev_window` : |
`uri` : |
`dest` : |
`mode` : |
`unlink_temp_file` : |

### ev_window_is_empty ()

    gboolean    ev_window_is_empty              (const EvWindow *ev_window);

`ev_window` : |
Returns : |

### ev_window_print_range ()

    void        ev_window_print_range           (EvWindow *ev_window,
                                                 int first_page,
                                                 int last_page);

`ev_window` : |
`first_page` : |
`last_page` : |